echo off

cd %VAR%
..\..\..\util\setconsole.exe /reset
echo.
echo Press 1 to play Monkey Island 2: LeChuck's Revenge using DOSBox
echo Press 2 to play Monkey Island 2: LeChuck's Revenge using ScummVM
echo.
..\..\..\util\choice /C:12 /N Please Choose:

if errorlevel = 2 goto scummvm
if errorlevel = 1 goto dosbox

:dosbox
..\..\..\util\setconsole.exe /minimize
cd ..
cd ..
cd ..
".\emulators\dosbox\%dosbox%" -conf "%var%\dosbox.conf" -conf ".\emulators\dosbox\options.conf" -conf %conf% -noconsole -exit -nomenu
del stdout.txt
del stderr.txt
if exist glide.* del glide.*
if exist .\eXoDOS\CWSDPMI.swp del .\eXoDOS\CWSDPMI.swp
goto end

:scummvm
cd ..
cd ..
cd ..
cls
echo.
echo Press 1 to play using Sound Blaster for music
echo Press 2 to play using MT32 for music
echo.
.\util\choice /C:12 /N Please Choose:

if errorlevel = 2 goto svmmt32
if errorlevel = 1 goto svmsb

:svmsb
.\util\setconsole.exe /minimize
".\emulators\scummvm\scummvm.exe" --no-console --multi-midi -F -g3x --aspect-ratio -p.\eXoDOS\mi2\ monkey2
goto end

:svmmt32
.\util\setconsole.exe /minimize
".\emulators\scummvm\scummvm.exe" --no-console -F -g3x -emt32 --extrapath=.\mt32\ --aspect-ratio -p.\eXoDOS\mi2\ monkey2
goto end

:end